| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # XSModelGroupDefinition Class Reference Inheritance diagram for XSModelGroupDefinition: [legend] List of all members.
## Public Member Functions
Constructors
| XSModelGroupDefinition (XercesGroupInfo *const groupInfo, XSParticle *const groupParticle, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSModelGroupDefinition ()
overridden XSXSObject methods
const XMLCh * | getName ()
| The name of type `NCName` of this declaration as defined in XML Namespaces.
const XMLCh * | getNamespace ()
| The [target namespace] of this object, or `null` if it is unspecified.
XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.
XSModelGroupDefinition methods
XSModelGroup * | getModelGroup ()
| A model group.
XSAnnotation * | getAnnotation () const
| Optional.
## Protected Attributes
XercesGroupInfo * | fGroupInfo
XSParticle * | fModelGroupParticle
XSAnnotation * | fAnnotation
## Constructor & Destructor Documentation
XSModelGroupDefinition::XSModelGroupDefinition | ( | XercesGroupInfo *const | groupInfo,
|  | XSParticle *const | groupParticle,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |
  The default constructor. Parameters:
  | groupInfo |
  | groupParticle |
  | annot |
  | xsModel |
  | manager | The configurable memory manager
XSModelGroupDefinition::~XSModelGroupDefinition | ( |  | ) |
## Member Function Documentation
const XMLCh* XSModelGroupDefinition::getName | ( |  | ) | `[virtual]`
The name of type `NCName` of this declaration as defined in XML Namespaces. Reimplemented from XSObject.
const XMLCh* XSModelGroupDefinition::getNamespace | ( |  | ) | `[virtual]`
The [target namespace] of this object, or `null` if it is unspecified. Reimplemented from XSObject.
XSNamespaceItem* XSModelGroupDefinition::getNamespaceItem | ( |  | ) | `[virtual]`
A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. Reimplemented from XSObject.
XSModelGroup* XSModelGroupDefinition::getModelGroup | ( |  | ) |
A model group.
XSAnnotation * XSModelGroupDefinition::getAnnotation | ( |  | ) | const
Optional. An [annotation]. ## Member Data Documentation
XercesGroupInfo* XSModelGroupDefinition::fGroupInfo`[protected]`
XSParticle* XSModelGroupDefinition::fModelGroupParticle`[protected]`
XSAnnotation* XSModelGroupDefinition::fAnnotation`[protected]`
The documentation for this class was generated from the following file: XSModelGroupDefinition.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.